> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Inbound Settings

> Updates the inbound settings for the specified Pearl.



## OpenAPI

````yaml put /v2/Pearl/{pearlId}/Settings/Inbound
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Pearl/{pearlId}/Settings/Inbound:
    put:
      tags:
        - Pearl
      summary: Update Inbound Settings
      description: Updates the inbound settings for the specified Pearl.
      parameters:
        - name: pearlId
          in: path
          description: The unique identifier of the Pearl.
          required: true
          schema:
            type: string
      requestBody:
        description: The inbound settings to apply.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/InboundSettingsApi'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/InboundSettingsApi'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/InboundSettingsApi'
      responses:
        '200':
          description: Inbound settings updated successfully.
          content:
            text/plain:
              schema:
                type: boolean
            application/json:
              schema:
                type: boolean
            text/json:
              schema:
                type: boolean
        '400':
          description: The request is invalid or the data is malformed.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    InboundSettingsApi:
      required:
        - phoneNumberId
        - waitingSentence
      type: object
      properties:
        phoneNumberId:
          minLength: 1
          type: string
          description: "The phone number ID to use for this Pearl.\r\nTo retrieve available phone numbers, see: [Get Phone Numbers](/api-reference/v2/pearlSettings/get-phones)\r\n            \r\nConstraints:\r\n- A phone number cannot be assigned to more than one active inbound Pearl at the same time."
        totalAgents:
          type: integer
          description: Total number of agents allocated to this inbound activity.
          format: int32
        recordingOptions:
          type: boolean
          description: Enables or disables call recording.
        isStopRecordingAfterTransferCall:
          type: boolean
          description: >-
            Indicates whether recording should continue after a call is
            transferred.
          nullable: true
        transcriptOptions:
          allOf:
            - $ref: '#/components/schemas/eTranscriptOptions'
          description: |+
            `1 - FullTranscript`

            `2 - SensitiveInfoRemoved`

            `3 - NoTranscript`

        callWebhookUrl:
          type: string
          description: >-
            Optional webhook URL to receive call events (for example call
            started and call ended).
          nullable: true
        waitingSentence:
          minLength: 1
          type: string
          description: "Message played to the caller when no agent is available and the caller is waiting in the queue.\r\n            \r\nMax 300 characters only."
        isSayQueueDetails:
          type: boolean
          description: >-
            When enabled, the caller is informed about queue details (for
            example how many callers are ahead) while waiting.
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eTranscriptOptions:
      type: integer
      description: |+
        `1 - FullTranscript`

        `2 - SensitiveInfoRemoved`

        `3 - NoTranscript`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````